ndiswrapper can scan for SSIDs but cannot connect on any kernel newer than 2.6.34-5.14

Bug #613796 reported by Eric Appleman on 2010-08-05
92
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Leann Ogasawara
Nominated for Maverick by Ryan Kitty
ndiswrapper (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by Ryan Kitty

Bug Description

Even though the ndiswrapper package was just fixed to not complain about 2.6.35 kernels, this problem persists with my Intel 3945abg.

The ndiswrapper module will load and if fed the proper XP drivers, will scan for networks without any problems.

However, as soon as I try to connect to a network (unsecured or secured), ndiswrapper can never finish the connection. If secured, I keep getting asked for the SSID password. Doesn't matter if I use Network Manager, Wicd, or command line.

This does not affect any 2.6.34 kernels that I've used so far.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: ndiswrapper-common 1.56-2
ProcVersionSignature: Ubuntu 2.6.35-13.18-genusername 2.6.35-rc6
Uname: Linux 2.6.35-13-generic i686
Architecture: i386
Date: Thu Aug 5 06:17:19 2010
Dependencies:

PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ndiswrapper

description: updated
description: updated
description: updated
description: updated
Julian Andres Klode (juliank) wrote :

> Even though the ndiswrapper package was just fixed to not complain
> about 2.6.35 kernels, this problem persists with my Intel 3945abg.

I don't support ndiswrapper on cards where native drivers (iwl3945) are available; as ndiswrapper should only be a temporary solution and not used in long-term situations (i.e. users should buy compatible hardware).

You are free to find the problem yourself though, and provide a patch (take a look at dmesg, are there errors?). If you do so, you should forward the patch to upstream, as I don't communicate with them (the project appears to be dead anyway).

Julian Andres Klode (juliank) wrote :

Changing to incomplete, as this bug report is missing dmesg logs and ndiswrapper -l output (some other things may be useful too).

Changed in ndiswrapper (Ubuntu):
status: New → Incomplete
Eric Appleman (erappleman) wrote :
Download full text (4.0 KiB)

I'll be frank when I say I regret even mentioning my hardware. It only distracts from the issue.

Truth be told, the iwl3945 suffers from terrible speed issues that limit it to 1Mbps/1Mbps in most situations. This was not present in ipw3945.

See the following:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=1932
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=1592
https://bugs.launchpad.net/linux/+bug/581936
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/340418

Anyway, here's some output.

eric@kingfisher:~$ ndiswrapper -l
netw39x5 : driver installed
 device (8086:4222) present (alternate driver: iwl3945)

[ 13.231542] ndiswrapper version 1.56 loaded (smp=yes, preempt=no)
[ 14.098131] ndiswrapper: driver netw39x5 (Intel,01/30/2007,10.5.1.84) loaded
[ 14.109680] ndiswrapper 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 14.109760] ndiswrapper 0000:0c:00.0: setting latency timer to 64
[ 14.116758] ndiswrapper: using IRQ 17
[ 14.117196] Modules linked in: snd_seq_midi snd_rawmidi snd_seq_midi_event i915(+) snd_seq drm_kms_helper snd_timer snd_seq_device drm r852 sm_common snd i2c_algo_bit psmouse serio_raw coretemp soundcore btusb bluetooth usbhid nand hid ndiswrapper(+) snd_page_alloc dell_wmi nand_ids nand_ecc mtd dell_laptop dcdbas video lp output parport intel_agp agpgart b44 firewire_ohci sdhci_pci sdhci ssb firewire_core led_class crc_itu_t mii
[ 14.117324] [<f834e9f0>] ? MmMapIoSpace+0x0/0x20 [ndiswrapper]
[ 14.117351] [<f834ea03>] ? MmMapIoSpace+0x13/0x20 [ndiswrapper]
[ 14.117369] [<f834ea03>] MmMapIoSpace+0x13/0x20 [ndiswrapper]
[ 14.117462] [<f8351d40>] ? IoIrpSyncComplete+0x0/0x50 [ndiswrapper]
[ 14.117482] [<f83500d8>] ? ZwCreateFile+0xa8/0x270 [ndiswrapper]
[ 14.117500] [<f83596b6>] ? mp_init+0x66/0x220 [ndiswrapper]
[ 14.117519] [<f835adf5>] ? ndis_start_device+0x15/0x8d0 [ndiswrapper]
[ 14.117537] [<f83540e9>] ? pdoDispatchPnp+0x49/0xf0 [ndiswrapper]
[ 14.117555] [<f8351756>] ? IofCallDriver+0x56/0xc0 [ndiswrapper]
[ 14.117573] [<f8351cef>] ? IoSyncForwardIrp+0x7f/0xd0 [ndiswrapper]
[ 14.117591] [<f8352575>] ? IoAllocateIrp+0x65/0x80 [ndiswrapper]
[ 14.117609] [<f835b743>] ? NdisDispatchPnp+0x93/0x140 [ndiswrapper]
[ 14.117626] [<f8351756>] ? IofCallDriver+0x56/0xc0 [ndiswrapper]
[ 14.117644] [<f8353318>] ? IoSendIrpTopDev+0xe8/0x140 [ndiswrapper]
[ 14.117662] [<f83536ff>] ? pnp_start_device+0x3f/0x90 [ndiswrapper]
[ 14.117680] [<f83539b0>] ? wrap_pnp_start_device+0xe0/0x170 [ndiswrapper]
[ 14.117698] [<f8353b85>] ? wrap_pnp_start_pci_device+0x55/0x70 [ndiswrapper]
[ 14.117815] [<f834630d>] ? loader_init+0x9d/0x150 [ndiswrapper]
[ 14.117833] [<f8354277>] ? wrap_procfs_init+0x47/0xc0 [ndiswrapper]
[ 14.117848] [<f805207f>] ? wrapper_init+0x7f/0xb7 [ndiswrapper]
[ 14.117869] [<f8052000>] ? wrapper_init+0x0/0xb7 [ndiswrapper]
[ 14.471328] usbcore: registered new interface driver ndiswrapper
[ 17.009572] IP: [<f8358cec>] set_multicast_list+0xcc/0x160 [ndiswrapper]
[ 17.009611] Modules linked in: snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_pcm joydev snd_seq_midi snd_rawmidi snd_seq_midi_event i915 snd_...

Read more...

Eric Appleman (erappleman) wrote :

Julian, I am trying to organize a testing effort to see if this bug affects other hardware when used with ndiswrapper.

http://ubuntuforums.org/showthread.php?t=1546409

Julian Andres Klode (juliank) wrote :

Please confirm that the package in ppa:juliank/ppa (https://edge.launchpad.net/~juliank/+archive/ppa) fixes the problem (it may not be built yet, though). If it does, I'll do a new release.

Changed in ndiswrapper (Ubuntu):
status: Incomplete → Fix Committed
Eric Appleman (erappleman) wrote :

It didn't help.

I forgot to mention that I only get ndiswrapper to connect on 2 different laptops running 2.6.34 after unloading and then reloading the module after booting to the desktop. Cycling the module is a critical step.

When I attempt to cycle the module on the laptops when using 2.6.35, the terminal either hangs or the entire kernel panics.

Eric Appleman (erappleman) wrote :

Just for reference, Lucid (2.6.32) connects without cycling.

k3lt01 (keltoiboy) wrote :

This issue affects me as well. I updated from Karmic to Lucid and then Maverick through Update Manager. Karmic was an absolutely clean install which was updated straight to Lucid and likewise Lucid straight to Maverick. Both the Karmic and Lucid kernels are still in my system and both work perfectly.

I had a an issue back with Gutsy that I reverted back to the Feisty ndiswrapper and that fixed my problem back then. I am wondering if I revert back to the Lucid ndiswrapper will that possibly fix this issue for me. I will try that tomorrow morning and I will post the results for this that may be interested.

Eric Appleman (erappleman) wrote :

it's either the kernel's netcode or ndiswrapper module that ships with the kernel. i doubt the ndiswrapper library itself is to blame since the results vary across kernels while keeping the same ndiswrapper version.

i have 3 kernels installed on maverick, and below represent my observations.

2.6.32-24: ndiswrapper connects
2.6.34-5: ndiwsrapper connects if i kick it a bit
2.6.35-13: ndiswrapper can only scan

Changed in ndiswrapper (Ubuntu):
status: Fix Committed → Incomplete
status: Incomplete → Confirmed
k3lt01 (keltoiboy) wrote :

This is my laptop: https://wiki.ubuntu.com/LaptopTestingTeam/Old/AcerExtensa2300 and the relevant Wireless card is the Acer version of the IPN2220 Wireless LAN Card.

I tried various ndiswrappers today but no change, unfortunately because I was hoping it would be simple like the old Gutsy to Feisty trick I did years ago.

I do think the comment above in #1 and I quote
 "as ndiswrapper should only be a temporary solution and not used in long-term situations (i.e. users should buy compatible hardware)."
is unfortunate. Not everyone can afford to just go and buy a brand new, or even second hand, compatible laptop. Personally, mine was a gift and it has been through every version of Ubuntu since Feisty and if ndiswrapper is no longer supported or this issue fixed it will end up staying with Lucid and I can no longer do any testing as this is my main machine.

I can run all the usual tests for outputs but I wouldn't be able to post them up because I can't connect to post them up.

Hi Eric,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Eric Appleman (erappleman) wrote :

2.6.35-999 from 8/6 and 2.6.35-15.21 are both affected as well.

tags: removed: needs-upstream-testing
bcbc (bcbc) wrote :

I installed maverick alpa3 brand new install on my computer. I installed ndiswrapper-common, -utils and ndisgtk from the alpa3 CD, and then added my windows wireless driver.
Trying to connect to my wireless using ndiswrapper generated a 'kernel oops'.

I have no problems using the above technique to get my wireless working on a fresh lucid install.

Julian Andres Klode (juliank) wrote :

Does it work with the pre-built module (without ndiswrapper-dkms) or not at all, that seems to be the question

bcbc (bcbc) wrote :

I didn't install dkms (hadn't seen this before) - tried it later when I couldn't get connected but it complained about dependencies required to build source, so didn't bother.
I always just install, -common, -utils, and then ndisgtk.

bcbc (bcbc) wrote :
Eric Appleman (erappleman) wrote :

Julian, DKMS vs non-DKMS seems to have no bearing on whether ndiswrapper can connect or not.

Kernel version is the ultimate determinant of whether it connects.

2.6.32: Connects automatically on 1.56-2
2.6.34: Connect after modprobe/rmmod combo on 1.56-2
2.6.35: Connects under no circumstances on 1.56-2

bcbc (bcbc) wrote :

Confirmed problem exists with an upgrade from 10.04.1 to maverick. Wireless working before upgrade, but not afterwards. Same kernel oops.

tags: added: iso-testing
tracy69 (tracyandrew69) wrote :
Download full text (9.9 KiB)

hi i have iwl 4965 also iwl 5000 and iwl 5100 dont have 3945 but i found this card work in ubuntu with 2.6.32 and 6.34 and 6.35

first if u have iwl 3945 go to http://intellinuxwireless.org/?n=downloads get your driver put it or install it in your firmwares

than u also can got to http://wireless.kernel.org/download/compat-wireless-2.6/ get the latest driver those drivers are updated daily.
download the latest one than make sudo make install

your internet will work for sure now !!!!

just to show u my does and what driver i do use look

Linux matrix 2.6.35-19-generic #25~lucid1-Ubuntu SMP Wed Aug 25 04:24:28 UTC 2010 i686 GNU/Linux

modinfo iwlagn
filename: /lib/modules/2.6.35-19-generic/updates/drivers/net/wireless/iwlwifi/iwlagn.ko
alias: iwl4965
license: GPL
author: Copyright(c) 2003-2010 Intel Corporation <email address hidden>
version: in-tree:
description: Intel(R) Wireless WiFi Link AGN driver for Linux
firmware: iwlwifi-4965-2.ucode
firmware: iwlwifi-5150-2.ucode
firmware: iwlwifi-5000-2.ucode
firmware: iwlwifi-6000g2b-5.ucode
firmware: iwlwifi-6000g2a-5.ucode
firmware: iwlwifi-6050-4.ucode
firmware: iwlwifi-6000-4.ucode
firmware: iwlwifi-1000-3.ucode
srcversion: 8BEA3A15EF75E9324B7D3B9
alias: pci:v00008086d00000084sv*sd00001316bc*sc*i*
alias: pci:v00008086d00000084sv*sd00001216bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001326bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001226bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001306bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001206bc*sc*i*
alias: pci:v00008086d00000084sv*sd00001315bc*sc*i*
alias: pci:v00008086d00000084sv*sd00001215bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001325bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001225bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001305bc*sc*i*
alias: pci:v00008086d00000083sv*sd00001205bc*sc*i*
alias: pci:v00008086d00000886sv*sd00001316bc*sc*i*
alias: pci:v00008086d00000886sv*sd00001315bc*sc*i*
alias: pci:v00008086d00000885sv*sd00001326bc*sc*i*
alias: pci:v00008086d00000885sv*sd00001325bc*sc*i*
alias: pci:v00008086d00000885sv*sd00001306bc*sc*i*
alias: pci:v00008086d00000885sv*sd00001305bc*sc*i*
alias: pci:v00008086d00000089sv*sd00001316bc*sc*i*
alias: pci:v00008086d00000089sv*sd00001311bc*sc*i*
alias: pci:v00008086d00000087sv*sd00001326bc*sc*i*
alias: pci:v00008086d00000087sv*sd00001321bc*sc*i*
alias: pci:v00008086d00000087sv*sd00001306bc*sc*i*
alias: pci:v00008086d00000087sv*sd00001301bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005226bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005225bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005221bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005207bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005206bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005205bc*sc*i*
alias: pci:v00008086d00000091sv*sd00005201bc*sc*i*
alias: pci:v0000808...

tracy69 (tracyandrew69) wrote :

i forgot to say something if u have laptop u have also button to switch network on and off !!!!!!!!!!!!!

and before u install compat driver better uninstall what ever u got over there the second link i showed to you those drivers that are updated every day, every of those drivers support many many devices not just iwl but also zd rt ath etc

it is one driver for many devices

tracy69 (tracyandrew69) wrote :

and one more thing after u install second compat wireless driver

from the compat directory type sudo make wlunload and sudo make btunload

than modprobe iwlagn
or just reboot your pc
now your internet will work

Eric Appleman (erappleman) wrote :

Please read earlier comments before commenting.

I have no interest in the iwl3945 driver until its speed issues get resolved. Until then, I need to use ndiswrapper.

Eric Appleman (erappleman) wrote :

Besides, we're trying to fix ndiswrapper, not go off on needless tangents.

Ryan Kitty (gothickitty93) wrote :

Thank you Eric and k3lt01. I use ndiswrapper with my Marvell Topdog and I don't have the money to go purchase a card with native drivers. If this does not get fixed in the final release of Maverick, I will be forced to permanently switch to another distro. I would be more than happy to test or provide feedback for anything that would fix this.

Dana Goyette (danagoyette) wrote :

Hmm, not only am I getting failure to connect, I'm also getting an oops on module load, and a panic on module unload.

Dana Goyette (danagoyette) wrote :

Oh, I suppose I should say: that's with kernel-ppa 2.6.35.4 on Samsung N130 (Atom netbook).

Wireless card is rtl8192e, and needs ndiswrapper because r8192e_pci merely gives "Initialization is failed" (complete with Engrish).

Julian Andres Klode (juliank) wrote :

Ryan Schwenker wrote:
> If this does not get fixed in the final release of Maverick, I will be forced to permanently switch to another distro.

If another distribution has a fix for this issue, please point me to it. In theory, ndiswrapper should not work on any distribution if you use kernel >= 2.6.35. We have one bug more in the Debian/Ubuntu dkms package, but that seems to be irrelevant.

In any case, I now uploaded 1.56-2jak2 to the PPA (ppa:juliank/ppa), this may fix the bug. Please install ndiswrapper-dkms from this version, make sure it compiles and installs a new module, and load the module.

Julian Andres Klode (juliank) wrote :

For the kernel people: http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-maverick.git;a=blobdiff;f=ubuntu/ndiswrapper/wrapndis.c;h=2ac89e7e239ead3608f64cc3983f5815c959636c;hp=404e1e37975b67d2e60ef1fce48daa982ef61beb;hb=e2fce7c6af6e1bcd2f577304a5200738d076d98f;hpb=c0b4a32572ce935ec02982b549afb77e44e446bb is wrong, you forget to check for (i < size) in the loop body, you need to apply the following patch*:

--- a/ubuntu/ndiswrapper/wrapndis.c
+++ b/ubuntu/ndiswrapper/wrapndis.c
                netdev_for_each_mc_addr(ha, net_dev) {
+ if (i >= size) break;
                        if (net_dev->addr_len != ETH_ALEN)

* This patch is hand-written, it may or may not apply using patch(1).

Eric Appleman (erappleman) wrote :

Julian, no dice.

DKMS won't let me overwrite the built-in kernel module. How do I force it?

Julian Andres Klode (juliank) wrote :

AFAIK, dkms should automatically replace the module when you install ndiswrapper-dkms, and change the module to /lib/modules/<YOUR KERNEL VERSION>/updates/dkms/ndiswrapper.ko (see modinfo ndiswrapper).

Eric Appleman (erappleman) wrote :

No such folder exists. ndiswrapper-dkms still thinks the kernel module is newer than the ppa version.

Julian Andres Klode (juliank) wrote :

Well, if that does not work, you can still install it using module-assistant (m-a a-i ndiswrapper). It would still be nice to get the log of installing ndiswrapper-dkms.

Eric Appleman (erappleman) wrote :

Here's a log.

Eric Appleman (erappleman) wrote :

btw, ndiswrapper works once i uninstalled ndiswrapper-dkms and used m-a on 2.6.35

would it be possible to incorporate this procedure or duplicate the results using only the ndiswrapper debs? your solution is effective yet obscure.

Julian Andres Klode (juliank) wrote :

Changing Linux bug status to new, as they are affected as well.

Changed in linux (Ubuntu):
status: Incomplete → New
Julian Andres Klode (juliank) wrote :

> btw, ndiswrapper works once i uninstalled ndiswrapper-dkms and used m-a on 2.6.35
Running completely or just compiling? If it works now, I can upload a fixed package to
Debian and request a sync.

> would it be possible to incorporate this procedure or duplicate the results using only
> the ndiswrapper debs? your solution is effective yet obscure.
It's not obscure, it's the standard Debian way for building modules. This bug needs the
kernel fix I posted a few emails ago in order to be usable without m-a on an Ubuntu
machine running the default kernel.

Eric Appleman (erappleman) wrote :

Ndiswrapper runs completely and connects to networks on 2.6.35 with your instructions.

tracy69 (tracyandrew69) wrote :

but why you people need ndiswrapper ? why cant you use better drivers ? ndiswrapper? WTF it is?

YOU have problem with IWL card i told you how to make it work and you still talking about some Ndiswrapper ?

whats wrong with you people ?

use compat get the firmware put it home/firmware and your iwl rt zd ath chip work without any issues

Because there are unrelated bugs affecting iwl drivers that make their use impractical in certain setups and your suggestions do not help get ndiswrapper fixed. We need cool, methodical thinking and in order to squash this bug, not derisive dismissal of our efforts. Besides, we're not just doing this for iwl users, this bug affects anyone with a wireless card that lacks free or proprietary drivers for Linux and relies on ndiswrapper to make use of Windows XP wireless drivers.

----------
Sent from the Verizon network using Mobile Email

------Original Message------
From: tracy69 <email address hidden>
To: <email address hidden>
Date: Fri, Sep 3, 8:30 PM +0000
Subject: [Bug 613796] Re: ndiswrapper can scan for SSIDs but cannot connect on any kernel newer than 2.6.34-5.14

but why you people need ndiswrapper ? why cant you use better drivers ?
ndiswrapper? WTF it is?

YOU have problem with IWL card i told you how to make it work and you
still talking about some Ndiswrapper ?

whats wrong with you people ?

use compat get the firmware put it home/firmware and your iwl rt zd ath
chip work without any issues

--
ndiswrapper can scan for SSIDs but cannot connect on any kernel newer than 2.6.34-5.14
https://bugs.launchpad.net/bugs/613796
You received this bug notification because you are a direct subscriber
of the bug.

Eric Appleman (erappleman) wrote :

julian, i tipped ogasawara about the kernel patch.

----------
Sent from the Verizon network using Mobile Email

------Original Message------
From: tracy69 <email address hidden>
To: <email address hidden>
Date: Fri, Sep 3, 8:30 PM +0000
Subject: [Bug 613796] Re: ndiswrapper can scan for SSIDs but cannot connect on any kernel newer than 2.6.34-5.14

but why you people need ndiswrapper ? why cant you use better drivers ?
ndiswrapper? WTF it is?

YOU have problem with IWL card i told you how to make it work and you
still talking about some Ndiswrapper ?

whats wrong with you people ?

use compat get the firmware put it home/firmware and your iwl rt zd ath
chip work without any issues

--
ndiswrapper can scan for SSIDs but cannot connect on any kernel newer than 2.6.34-5.14
https://bugs.launchpad.net/bugs/613796
You received this bug notification because you are a direct subscriber
of the bug.

Ryan Kitty (gothickitty93) wrote :

Ryan Schwenker wrote:
> If this does not get fixed in the final release of Maverick, I will be forced to permanently switch to another distro.

Julian wrote:
>If another distribution has a fix for this issue, please point me to it. In theory, ndiswrapper should not work on any distribution if you use kernel >= 2.6.35. We have one bug more in the Debian/Ubuntu dkms package, but that seems to be irrelevant.

I'm sorry. I should not have phrased that in this way. I have not tested out any other distro using ndiswrapper with that kernel version on this machine. That would only be a last resort for me. I'm going to try the steps posted above and see if they work, and post back with results.

Ryan Kitty (gothickitty93) wrote :

I cannot get it to work. I get this bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/630419.
Steps I followed:

install ndiswrapper-common
install ndiswrapper-utils
sudo ndiswrapper -i NetMW14x.inf
sudo ndiswrapper -a 11ab:2a08
sudo ndiswrapper -m
sudo ndiswrapper -ma
sudo ndiswrapper -mi
sudo depmod -a
sudo modprobe ndiswrapper

did not work after this, so I installed module assistant and preformed
sudo m-a -a-i ndiswrapper

the module compiled and installed correctly, but I still get a kernel OOPS.
I am using the kernel 2.6.35-19-generic

Ryan Kitty (gothickitty93) wrote :

It just threw this at me while typing my previous comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/630423

Ryan Kitty (gothickitty93) wrote :

and 43 minutes later, after starting the OS again, it works! I did not change anything.

Ryan Kitty (gothickitty93) wrote :

Oh, I should have mentioned, between post #43 and #44, I used julian's ppa and updated.

bcbc (bcbc) wrote :

@Julian, thanks this worked for me too!

Dana Goyette (danagoyette) wrote :

I managed to get the dkms version to install by first uninstalling it:
sudo dkms uninstall -m ndiswrapper -v 1.56
and then reinstalling it with --force:
sudo dkms install --force -m ndiswrapper -v 1.56

The PPA version fixes both the oops and the panic.

Changed in linux (Ubuntu):
assignee: nobody → Leann Ogasawara (leannogasawara)
status: New → In Progress

I've applied the patch Julian noted in comment #28 to the latest Maverick kernel tip. I've built test kernels for amd64 and i386 at the following location. Could those affected please test and let me know your results. Thanks in advance.

http://people.canonical.com/~ogasawara/lp613796/

Eric Appleman (erappleman) wrote :

Purged all m-a installed modules and Julian's PPA.

Ogasawara's patched kernel fixed connection issues with ndiswrapper 1.56-2.

Eric Appleman (erappleman) wrote :

Hmmm. I only got it to work once.

Now unlocking the keyring after login causes X to crash to GDM and nm-applet to disappear.

Eric Appleman (erappleman) wrote :

I need to do more testing with this patched kernel. I was planning to do a /root reinstall this week and I might as well take advantage of the opportunity to use a fresh system.

bcbc (bcbc) wrote :

The patch works for me.

I installed the .debs from Leann's link first. It worked, but then I purged all ndiswrapper-* since they were installed from Julian's ppa and reinstalled ndiswrapper-common, -utils and ndisgtk from the beta maverick desktop image I initially installed from.
However uninstalling ndiswrapper-dkms also removed the kernel module from Leann's kernel. So I reinstalled the linux image .deb again. Rebooted - it works.

The only thing different is I have to modprobe ndiswrapper after each restart. I've restarted a few times and apart from this - everything is working fine.

Thanks for the testing. I've gone ahead and posted this patch to the Ubuntu kernel team mailing list for it to be considered for inclusion in the Maverick kernel:

https://lists.ubuntu.com/archives/kernel-team/2010-September/012649.html

Vladimir Ig (iglovikov-gmail) wrote :

sis163u wireless card is also affected

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Eric Appleman (erappleman) wrote :

Fix works well enough on my end now. Not perfect, but I don't mind a little modprobe fiddling. At least I have a working Ndiswrapper now.

Julian Andres Klode (juliank) wrote :

Fix uploaded to Debian as 1.56-3, sync request is in bug #637443.

Changed in ndiswrapper (Ubuntu):
status: Confirmed → Fix Committed

linux (2.6.35-21.30) maverick; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: fbcon -- fix OOPs triggered by race prevention fixes
    - LP: #614008

  [ Daniel Lezcano ]

  * SAUCE: fix compilation warning when CONFIG_SECURITY is not set

  [ Henrik Rydberg ]

  * SAUCE: Input: wacom - add fuzz parameters to features
  * SAUCE: Input: wacom - collect device quirks into single function
  * SAUCE: Input: wacom - add support for the Bamboo Touch trackpad
  * SAUCE: Input: wacom - add a quirk for low resolution Bamboo devices
  * SAUCE: hid: ntrig: Remove unused device ids
  * SAUCE: hid: ntrig: remove sysfs nodes
  * SAUCE: hid: ntrig: Correct logic for quirks
  * SAUCE: hid: ntrig: zero-initialize ntrig struct
  * SAUCE: hid: ntrig: Setup input filtering manually
  * SAUCE: hid: ntrig: New ghost-filtering event logic

  [ Leann Ogasawara ]

  * SAUCE: ndiswrapper: Initialize buffer index and check its value
    - LP: #613796

  [ Manoj Iyer ]

  * SAUCE: Add support for Intellimouse Mode in ALPS touchpad on Dell E2
    series Laptops
    - LP: #632884

  [ Ping Cheng ]

  * SAUCE: Input: wacom - parse the Bamboo device family

  [ Rafi Rubin ]

  * SAUCE: hid: ntrig: identify firmware version (wiggled)

  [ Tim Gardner ]

  * [Config] CONFIG_NL80211_TESTMODE=n

  [ Upstream Kernel Changes ]

  * Revert "input: mt: Add support for the Bamboo Touch trackpad"
  * e1000e: initial support for 82579 LOMs
  * e1000e: correct MAC-PHY interconnect register offset for 82579
  * (pre-stable) ALSA: hda - Add a new hp-laptop model for Conexant 5066,
    tested on HP G60
    - LP: #587388
  * DSS2: Don't power off a panel twice
    - LP: #588243
  * mmc: build fix: mmc_pm_notify is only available with CONFIG_PM=y
  * Input: i8042 - reset keyboard controller wehen resuming from S2R
    - LP: #86820
  * ALSA: hda - Fix beep frequency on IDT 92HD73xx and 92HD71Bxx codecs
    - LP: #414795
  * agp/intel: Support the extended physical addressing bits on
    Sandybridge.
    - LP: #632488
  * drm/i915,intel_agp: Add support for Sandybridge D0
    - LP: #632488
  * (pre-stable) intel_agp,i915: Add more sandybridge graphics device ids
    - LP: #632488
  * mmc: omap: fix for bus width which improves SD card's peformance.
 -- Leann Ogasawara <email address hidden> Tue, 07 Sep 2010 09:58:52 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Eric Appleman (erappleman) wrote :

Ugh. Even with the sid 1.56-3 and -21 kernel, connections can take more a minute to occur if at all.

bcbc (bcbc) wrote :

Just did a fresh install from maverick daily live - works perfectly. It's really fast to connect and no need to modprobe ndiswrapper on reboot. It's the -22 kernel.

Good Job!

Eric Appleman (erappleman) wrote :

Are you using ndiswrapper 1.56-2 or 1.56-3?

With either version on a fresh daily install, connecting is hit or miss.

I can really only guarantee a connection after booting.

bcbc (bcbc) wrote :

The computer that requires ndiswrapper does not have an ethernet connection available so I always use the ndiswrapper that comes with the .iso. The versions from my latest install are: 1.56-2 (and ndisgtk is 0.8.5-1)

(It also shows 1.56-2 as being the latest available version in synaptic. )

Russell Richardson (russjr08) wrote :

I can confirm that the Daily Build is infact working with NDISWrapper and I am successfully able to use my Windows Driver the same way I have with older releases.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ndiswrapper - 1.56-3

---------------
ndiswrapper (1.56-3) unstable; urgency=low

  * Use a reworked and working Linux 2.6.35 support patch (LP: #613796)
 -- Julian Andres Klode <email address hidden> Mon, 20 Sep 2010 17:06:09 +0000

Changed in ndiswrapper (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.